import customtkinter as tk         # import de la bibliothèque interface graphique "as tk" : on remplace customtkinter par tk 

def quitter():                          # création d'une fonction pour quitter
    fenetreMenu.destroy()               # destroy = fonction qui arrête tout

fenetreMenu = tk.CTk()                   # définition des caractéristiques de la fenêtre
fenetreMenu.title("Menu principal")
fenetreMenu.geometry("400x400")

label = tk.CTkLabel(fenetreMenu, text="Lancez les dés", font=('Arial',18))  #  crée du texte
label.pack(pady=10)
# label.pack(padx=10, pady=10)             # a verifier si c'est un cadre


for i in [4, 6, 8, 10, 12, 20] :
    button = tk.CTkButton(fenetreMenu, text= f"D{i}",  width=7)   # création d'un bouton 
    button.pack(side=tk.LEFT, anchor=tk.NW, padx=5)


button = tk.CTkButton(fenetreMenu, text="QUITTER", command=quitter)   # création d'un bouton pour fermer
button.pack(side=tk.BOTTOM, anchor=tk.CENTER, pady=15)                                  # side=tk.BOTTOM est utilisé pour ancrer vers le bas : indiquer celui qui est plus bas en premier

entry = tk.CTkEntry(fenetreMenu, width=250)      # crée une zone de saisie
entry.pack(side=tk.BOTTOM, anchor=tk.CENTER)


fenetreMenu.mainloop()



